//
//  LiveMotionProfile.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 6/28/21.
//

import Foundation

struct LiveMotionProfile: MotionProfile {
    var name: String = "Live Rotation"
    var icon = "gyroscope"
    
    var description: String = "Tilts the 6DOF platform to match this device"
    
    var parameters: [MotionProfileParameter] = []
    
    var manager: Manager? = nil
    
    init(_ manager: Manager) { self.manager = manager }
    
    func evaluate(_ t: Double, withParameterValues parameterValues: [Double] = []) -> MotionProfileOutput {
        var output = MotionProfileOutput()
        
        output.yaw = self.manager?.yaw.degrees() ?? 0.0
        output.pitch = self.manager?.pitch.degrees() ?? 0.0
        output.roll = self.manager?.roll.degrees() ?? 0.0
        
        return output
    }
}
