//
//  MotionProfile.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 6/28/21.
//

import Combine

protocol MotionProfile {
    var name: String { get }
    var icon: String { get }
    var description: String { get }
    
    var parameters: [MotionProfileParameter] { get }
    func evaluate(_ t: Double, withParameterValues parameterValues: [Double]) -> MotionProfileOutput
}

struct MotionProfileParameter {
    var name: String = "Parameter"
    var minimumValue: Double = 0.0
    var maximumValue: Double = 1.0
    var defaultValue: Double = 0.0
}

struct MotionProfileOutput {
    var x: Double = 0.0
    var y: Double = 0.0
    var z: Double = 0.0
    
    var yaw: Double = 0.0
    var pitch: Double = 0.0
    var roll: Double = 0.0
}
