//
//  SwishProfile.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 6/28/21.
//

import Foundation

struct SwishProfile: MotionProfile {
    var name: String = "Rocking"
    var icon = "music.mic"
    var description: String = "Rocks the 6DOF platform back and forth"
    
    var parameters: [MotionProfileParameter] = [
        MotionProfileParameter(name: "Strength", minimumValue: 0.1, maximumValue: 0.6, defaultValue: 0.5),
        MotionProfileParameter(name: "Frequency", minimumValue: 0.5, maximumValue: 5.0, defaultValue: 1.0)
    ]
    
    func evaluate(_ t: Double, withParameterValues parameterValues: [Double] = [1.0, 1.0]) -> MotionProfileOutput {
        let strength = parameterValues[0]
        let frequency = parameterValues[1]
        
        var output = MotionProfileOutput()
        output.pitch = (strength * sin(frequency * t)).degrees()
        output.x = -strength * sin(t)
        
        return output
    }
}
