//
//  AboutView.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 6/24/21.
//

import SwiftUI

/**
 Displays some background information about the 6DOF platform.
 */
struct AboutView: View {
    var body: some View {
        VStack {
            Spacer()
            Text("6DOF Motion Platform Demo")
                .font(self.titleFont)
            
            Text("""
                Delta Computer Systems Inc.'s RMC150 series and RMC200 series of motion controllers are capable of controlling a six-degree-of-freedom motion platform, also known as a parallel manipulator, Stewart platform, or a Gough-Stewart platform.
                """)
                .font(self.bigBodyFont)
                .multilineTextAlignment(.center)
            Spacer()
            
        }
        .padding()
    }
    
    var titleFont: Font {
        Font.system(.largeTitle, design: .rounded)
            .bold()
    }
    
    var bigBodyFont: Font {
        Font.system(.body, design: .rounded)
    }
}

struct AboutView_Previews: PreviewProvider {
    static var previews: some View {
        AboutView()
    }
}
