//
//  ProfileCardView.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 9/3/21.
//

import SwiftUI

struct ProfileCardView: View {
    @State var profile: MotionProfile
    
    var body: some View {
        NavigationLink(destination: SingleProfileView(profile: profile)) {
            VStack {
                ZStack {
                    RoundedRectangle(cornerRadius: 25.0, style: .continuous)
                        .foregroundColor(.blue)
                    Image(systemName: profile.icon)
                        .resizable()
                        .aspectRatio(contentMode: .fit)
                        .padding(20)
                        .foregroundColor(.white)
                }
                .frame(width: 120, height: 120)
                .aspectRatio(1.0, contentMode: .fit)
                Text(profile.name)
                    .multilineTextAlignment(.center)
                    .foregroundColor(Color.primary)
            }
            .padding()
            .frame(maxWidth: .infinity, maxHeight: .infinity)
        }
    }
}

struct ProfileCardView_Previews: PreviewProvider {
    static var previews: some View {
        ProfileCardView(profile: SwishProfile())
    }
}
