//
//  ProfilesView.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 6/28/21.
//

import SwiftUI

/**
 Lists the currently registered motion profiles from the manager.
 */
struct ProfilesView: View {
    @EnvironmentObject var manager: Manager
    var body: some View {
        NavigationView {
            VStack {
                ScrollView(.vertical)
                {
                    LazyVGrid(columns: [GridItem(.flexible()), GridItem(.flexible()), GridItem(.flexible())]) {
                        ForEach(self.manager.motionProfiles, id: \.name) { profile in
                            ProfileCardView(profile: profile)
                                .padding()
                        }
                    }
                }
            }
            .navigationTitle("Profiles")
            
        }
        .navigationViewStyle(StackNavigationViewStyle())
    }
}

struct ProfilesView_Previews: PreviewProvider {
    static var previews: some View {
        ProfilesView().environmentObject(Manager())
    }
}
