//
//  ConnectionSettingsView.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 6/25/21.
//

import SwiftUI

/**
 Settings page for configuring the connection to the RMC.
 */
struct ConnectionSettingsView: View {
    @EnvironmentObject var manager: Manager
    var body: some View {
        Form {
            HStack {
                Text("RMC IP Address")
                Spacer()
                TextField("IP Address", text: $manager.ipAddress)
                    .multilineTextAlignment(.trailing)
                    .keyboardType(.decimalPad)
                    .disabled(manager.connected)
            }

            Button(action: manager.connected ? manager.disconnect : manager.tryConnect) {
                Text(manager.connected ? "Disconnect" : "Connect")
            }
            .accentColor(manager.connected ? .red : .blue)
        }
        .navigationTitle("Connection")
    }
}

struct ConnectionSettingsView_Previews: PreviewProvider {
    static var previews: some View {
        ConnectionSettingsView().environmentObject(Manager())
    }
}
