//
//  SettingsView.swift
//  SwiftDMCPExample6DOF
//
//  Created by Malcolm Anderson on 6/25/21.
//

import SwiftUI

/**
 Root-level Settings view, where users can select a specific submenu from.
 */
struct SettingsView: View {
    @EnvironmentObject var manager: Manager
    var body: some View {
        NavigationView {
            Form {
                IconListItemView(
                    title: "Connection",
                    secondaryText: "\(self.manager.connected ? self.manager.ipAddress : "Not Connected")",
                    icon: "wifi",
                    color: .blue,
                    destinationView: ConnectionSettingsView()
                )
                
                IconListItemView(
                    title: "Rotation",
                    icon: "rotate.3d",
                    color: .green,
                    destinationView: RotationSettingsView()
                )

            }
            .navigationTitle("Settings")
        }
        .navigationViewStyle(StackNavigationViewStyle())
        
    }
}

struct SettingsView_Previews: PreviewProvider {
    static var previews: some View {
        SettingsView().environmentObject(Manager())
    }
}
